# Zinit package manager
# https://github.com/zdharma-continuum/zinit
ZINIT_HOME="${XDG_DATA_HOME:-${HOME}/.local/share}/zinit/zinit.git"
[ ! -d $ZINIT_HOME ] && mkdir -p "$(dirname $ZINIT_HOME)"
[ ! -d $ZINIT_HOME/.git ] && git clone https://github.com/zdharma-continuum/zinit.git "$ZINIT_HOME"
source "${ZINIT_HOME}/zinit.zsh"

# Syntax highlighting
zinit ice wait lucid depth=1; zinit light "zsh-users/zsh-syntax-highlighting"

# Command completions
zinit ice wait lucid depth=1; zinit light "zsh-users/zsh-completions"

# History autosuggestions
zinit ice wait lucid depth=1; zinit light "zsh-users/zsh-autosuggestions"

# Use fzf for completion
zinit ice wait lucid depth=1; zinit light "Aloxaf/fzf-tab"
zstyle ":fzf-tab:complete:cd:*" fzf-preview "ls --color $realpath"
zstyle ":completion:*" menu no
